aboutsummaryrefslogtreecommitdiff
path: root/board
diff options
context:
space:
mode:
authorGravatar Erik Stromdahl <erik.stromdahl@gmail.com>2017-07-15 14:50:29 +0200
committerGravatar Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>2017-09-27 22:08:03 +0200
commit39576d0f735108dbbd48a5aa517ed01c053abc4b (patch)
treedcc3061b593ce59223e607070db5f82aec368e1f /board
parent18d51abb8b10439ac03f719bb0ea4cb1f4c68e3c (diff)
downloadbuildroot-39576d0f735108dbbd48a5aa517ed01c053abc4b.tar.gz
buildroot-39576d0f735108dbbd48a5aa517ed01c053abc4b.tar.bz2
board/raspberrypi/post-image.sh: add multi arg support
Add possibility to supply multiple arguments to post-image.sh Signed-off-by: Erik Stromdahl <erik.stromdahl@gmail.com> [Arnout: indent esac, suggested by Gaƫl PORTAY] Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>
Diffstat (limited to 'board')
-rwxr-xr-xboard/raspberrypi/post-image.sh42
1 files changed, 23 insertions, 19 deletions
diff --git a/board/raspberrypi/post-image.sh b/board/raspberrypi/post-image.sh
index de972998b0..3900a15727 100755
--- a/board/raspberrypi/post-image.sh
+++ b/board/raspberrypi/post-image.sh
@@ -5,38 +5,42 @@ BOARD_NAME="$(basename ${BOARD_DIR})"
GENIMAGE_CFG="${BOARD_DIR}/genimage-${BOARD_NAME}.cfg"
GENIMAGE_TMP="${BUILD_DIR}/genimage.tmp"
-case "${2}" in
- --add-pi3-miniuart-bt-overlay)
- if ! grep -qE '^dtoverlay=' "${BINARIES_DIR}/rpi-firmware/config.txt"; then
- echo "Adding 'dtoverlay=pi3-miniuart-bt' to config.txt (fixes ttyAMA0 serial console)."
- cat << __EOF__ >> "${BINARIES_DIR}/rpi-firmware/config.txt"
+for arg in "$@"
+do
+ case "${arg}" in
+ --add-pi3-miniuart-bt-overlay)
+ if ! grep -qE '^dtoverlay=' "${BINARIES_DIR}/rpi-firmware/config.txt"; then
+ echo "Adding 'dtoverlay=pi3-miniuart-bt' to config.txt (fixes ttyAMA0 serial console)."
+ cat << __EOF__ >> "${BINARIES_DIR}/rpi-firmware/config.txt"
# fixes rpi3 ttyAMA0 serial console
dtoverlay=pi3-miniuart-bt
__EOF__
- fi
- ;;
- --aarch64)
- # Run a 64bits kernel (armv8)
- sed -e '/^kernel=/s,=.*,=Image,' -i "${BINARIES_DIR}/rpi-firmware/config.txt"
- if ! grep -qE '^arm_control=0x200' "${BINARIES_DIR}/rpi-firmware/config.txt"; then
- cat << __EOF__ >> "${BINARIES_DIR}/rpi-firmware/config.txt"
+ fi
+ ;;
+ --aarch64)
+ # Run a 64bits kernel (armv8)
+ sed -e '/^kernel=/s,=.*,=Image,' -i "${BINARIES_DIR}/rpi-firmware/config.txt"
+ if ! grep -qE '^arm_control=0x200' "${BINARIES_DIR}/rpi-firmware/config.txt"; then
+ cat << __EOF__ >> "${BINARIES_DIR}/rpi-firmware/config.txt"
# enable 64bits support
arm_control=0x200
__EOF__
- fi
+ fi
- # Enable uart console
- if ! grep -qE '^enable_uart=1' "${BINARIES_DIR}/rpi-firmware/config.txt"; then
- cat << __EOF__ >> "${BINARIES_DIR}/rpi-firmware/config.txt"
+ # Enable uart console
+ if ! grep -qE '^enable_uart=1' "${BINARIES_DIR}/rpi-firmware/config.txt"; then
+ cat << __EOF__ >> "${BINARIES_DIR}/rpi-firmware/config.txt"
# enable rpi3 ttyS0 serial console
enable_uart=1
__EOF__
- fi
- ;;
-esac
+ fi
+ ;;
+ esac
+
+done
rm -rf "${GENIMAGE_TMP}"